config:
  freq: 30   # unit second
  port: 8400  # bind port
  bind_addr: 0.0.0.0 # bind ip
  backlog: 32  # listen backlog
  daemon: false
  url_safe: close
  identity:   # support hostip, curl(need url arg), hostname, file(need path arg), specify(need name arg)
    #    mode: curl
    #    url: "http://100.100.100.200/latest/meta-data/instance-id"
    #    name: test_specify
    mode: hostip
  #  real_timestamps: true
  #  unix_socket: "/tmp/sysom_unity.sock"
  proc_path: / # in container mode, like -v /:/mnt/host , should use /mnt/host/
  db:
    rotate: 7 # tsdb file retention time, unit day
    budget: 200 # max query buffer from tsdb.
  limit:
    cpu: 30  # unit %
    mem: 50  # unit mb
    tasks: 10  # monitor 10 pid max.
    cellLimit: -1 # set guard limit time. guard time is unlimit when cellLimit is -1,default is 50(ms)

forkRun:
  - cmd: "../../../ntopo"
    args:
      []
  - cmd: "../../../sql-obs"
    args:
      []
  - cmd: "../../../ioMonitor"
    args:
      ["-y", "/etc/sysak/base.yaml", "-s", "await=5,iops=1000,diagIolat=on"]

cec: "http://localhost"

outline:
  - /var/sysom/outline


luaPlugins: ["proc_diskstats", "proc_stat"]

  # group:
  #   - name: ""
  #   - name: "LS"
  #     # monitor: ["mon1", "mon2"]
  #   - name: "BE"
  #     monitor: ["pod3#con3"]

plugins: []

metrics:
  - title: sysom_observe
    from: observe
    head: value
    help: "application observe."
    type: "gauge"
  # - title: sysom_proc_disks
  #   from: disks
  #   head: counter
  #   help: "disk info from /proc/diskstats."
  #   type: "gauge"
  - title: sysom_ntopo_node
    from: sysom_metrics_ntopo_node
    head: mode
    help: "net topology node"
    type: "gauge"
  - title: sysom_ntopo_edge
    from: sysom_metrics_ntopo_edge
    head: mode
    help: "net topology edge"
    type: "gauge"
  - title: sysom_obser_app_rt_ntopo
    from: sysom_metrics_ntopo_request
    head: value
    help: rt and req/resp bytes of apps
    type: "gauge"
    discrete: true
  - title: sysom_obser_mysqld_os
    from: sysom_obser_metrics_mysqld_os
    head: value
    help: "os level metrics of mysqld"
    type: "gauge"
  - title: sysom_obser_mysqld_process
    from: sysom_obser_metrics_mysqld_process
    head: value
    help: "process level metrics of mysqld"
    type: "gauge"
  - title: sysom_obser_mysqld_innodb
    from: sysom_obser_metrics_mysqld_innodb
    head: value
    help: "innodb metrics of mysqld"
    type: "gauge"
  - title: sysom_obser_mysqld_alarm
    from: sysom_obser_mysqld_alarm
    head: value
    help: "alarm on process exception of mysqld"
    type: "gauge"
  - title: sysom_obser_os_alarm
    from: sysom_obser_os_alarm
    head: value
    help: "alarm on os exception of mysqld"
    type: "gauge"
  # - title: sysom_IOMonIndForDisksIO
  #   from: IOMonIndForDisksIO
  #   head: value
  #   help: "Disk IO indicators and abnormal events"
  #   type: "gauge"
  # - title: sysom_IOMonIndForSystemIO
  #   from: IOMonIndForSystemIO
  #   head: value
  #   help: "System indicators and abnormal events about IO"
  #   type: "gauge"
  # - title: sysom_IOMonDiagLog
  #   from: IOMonDiagLog
  #   head: value
  #   help: "Diagnose log for IO exception"
  #   type: "gauge"
  - title: sysom_iolatency
    from: sysom_iolatency
    head: value
    help: "IO average processing latency information"
    type: "gauge"
  - title: sysom_iolatency_max
    from: sysom_iolatency_max
    head: value
    help: "IO Max processing latency information"
    type: "gauge"
  - title: sysom_obser_mysqld_Disk_usage
    from: sysom_obser_mysqld_Disk_usage
    head: value
    help: "Disk usage information about mysqld"
    type: "gauge"
  - title: sysom_obser_mysqld_storage_usage
    from: sysom_obser_mysqld_storage_usage
    head: value
    help: "Table usage information about mysqld"
    type: "gauge"

observe:
  comms:
    mysqld: "cgroup"
  period: 20000
